Subject: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Alvaro Ramirez <[email-masked]>
Date: Mon, 21 Jul 2025 16:33:51 +0100

> On 21 Jul 2025, at 16:19, Gerd Möllmann <[email-masked]> wrote:
> 
> 
> 
>> On 21. Jul 2025, at 17:15, Alvaro Ramirez <[email-masked]> wrote:
>> 
>>> I've tried with the 0002 patch, and it doesn't seem to work for me. I'm
>>> running macOS 15.5 on arm64. Dictation works with other applications. In
>>> emacs -Q GUI, pressing the dictation key produces no reaction; I mean no
>>> small blue indicator with the microphone symbol appears.
>> 
>> Ah, did you enable ns while configuring? Someone else just managed to apply and confirm https://social.vivaldi.net/@veer66/114891733359274099
> 
> Yes, I did. That's why I wrote emacs -Q GUI above :-).

Oops. Missed that. Hmmm… I’m wondering if this is a missing macOS permission issue?

It’s possible to explicitly trigger microphone permission request by running these from *eshell*:

1. ffmpeg -f avfoundation -list_devices true -i “” ;; to find microphone id
2. ffmpeg -f avfoundation -i ":0" -t 10 audiocapture.mp3 ;; using :id from 1. 

Or maybe checking under System Settings > Privacy & Security > Microphone and verifying Emacs is listed there?

Just thinking out loud here to troubleshoot things. Anything else that comes to mind we can try?

I’ll try to clear all permissions here and see if I can reproduce the issue.